Workspaces
List workspace files
Other errors (500, 502, 503) are on Errors.
Other errors (500, 502, 503) are on Errors.
Authorization
bearerAuth AuthorizationBearer <token>
Your API key, sent as Authorization: Bearer nace_sk_...
- Where: the dashboard's API Keys page. It is shown once, when you create it.
- Format:
nace_sk_followed by 43 URL-safe characters (A-Z,a-z,0-9,_and-). - Limit: an account can hold at most 3 active keys.
- Wrong or missing key: returns
401 authentication_error.
In: header
Path Parameters
idstringrequired
The workspace's workspace_id.
Query Parameters
path_prefixstring
Repeat to keep several.
itemsstring
Value in
"discovered""queued""ingesting""ingested""stale""expired""failed""not_required"itemsstring
itemsstring
modified_afterstring
Format
date-timemodified_beforestring
Format
date-timelimitinteger
Range
1 <= value <= 200Default
50cursorstring
next_cursor from the previous page.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/workspaces/string/files"{ "items": [ { "file_id": "string", "workspace_id": "string", "path": "string", "file_name": "string", "file_type": "string", "size_bytes": 0, "version": 0, "observed_hash": "string", "ingested_hash": "string", "ingestion_status": "discovered", "ingested_at": "2019-08-24T14:15:22Z", "category": "string", "access_label": "string", "access_label_source": "string", "expires_at": "2019-08-24T14:15:22Z", "labels": { "property1": "string", "property2": "string" }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "next_cursor": "string", "total_count": 0, "coverage": {}}